@use "styles/helpers";

.header {
  background-color: helpers.$lightBlue;
}

.address {
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  color: #fff;
  display: flex;
  align-items: center;

  &::before {
    content: "";
    background: url("/img/icons/location.svg") no-repeat center center / cover;
    width: 20px;
    height: 20px;
    display: inline-block;
    margin-right: 5px;
  }
}

.address__wrap {
  margin-bottom: 25px;
}

.header__container {
  max-width: 1230px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header__services {
  display: flex;
  flex-grow: 3;
  justify-content: flex-end;
}

.lang__select {
  margin-left: 46px;
  transition: margin 0.3s ease-in-out;
}

.header__logo {
  flex-grow: 1;
  width: 100%;
  margin: 3px 0 15px;
  transition: margin 0.3s ease-in-out;
}

.header__btn {
  max-width: 200px;
  width: 100%;
  height: 50px;
}

.header__white_btn {
  color: #119ad0;
  background-color: #fff;
  border-color: #fff;
}

.header__blue_btn {
  color: #fff;
  border: 1px solid #ffffff;
  background-color: transparent;
  margin-left: 20px;
}

.menu__toggle {
  display: none;
  position: relative;
}

.menu__toggle_icon {
  display: block;
  border: 0;
  background: none;
  outline: 0;
  padding: 0;
  cursor: pointer;
  border-bottom: 2px solid #fff;
  width: 28px;
  transition: border-bottom 1s ease-in-out;
  position: absolute;
  top: 36%;
  left: 0;
  transform: translateY(-50%);

  &::before,
  &::after {
    content: "";
    display: block;
    border-bottom: 2px solid #fff;
    width: 100%;
    margin-bottom: 8px;
    transition: transform 0.5s ease-in-out;
  }

  &::before {
    margin-bottom: 8px;
  }

  &::after {
    margin-bottom: 7px;
  }
}

.menu__toggle_icon.active {
  border-bottom: 4px solid transparent;
  transition: border-bottom 0.8s ease-in-out;
  z-index: 1;

  &::before {
    transform: rotate(-405deg) translateY(1px) translateX(-4px);
    transition: transform 0.5s ease-in-out;
  }

  &::after {
    transform: rotate(405deg) translateY(-4px) translateX(-6px);
    transition: transform 0.5s ease-in-out;
  }
}

@media screen and (max-width: 1000px) {
  .header__logo {
    max-width: 114px;
    max-height: 114px;
    margin-bottom: 7px;
  }

  .lang__select {
    margin-left: 32px;
  }
}

@media screen and (max-width: helpers.$widthTablet) {
  .header__container {
    padding: 0 20px;
  }
}

@media screen and (max-width: 730px) {
  .header__btn {
    height: 46px;
    width: 180px;
  }

  .lang__select {
    margin-left: 12px;
  }
}

@media screen and (max-width: 660px) {
  .header__btn {
    height: 42px;
    width: 160px;
  }
}

@media screen and (max-width: 600px) {
  .address {
    font-size: 12px;

    &::before {
      margin-right: 7px;
      flex-shrink: 0;
    }
  }

  .address__wrap {
    margin-bottom: 15px;
    justify-content: flex-start;
  }

  .header__logo {
    max-width: 96px;
    max-height: 96px;
    margin: 0;
  }

  .menu__toggle {
    display: block;
    width: 60px;
    height: 30px;
  }

  .menu__toggle {
    order: 1;
  }

  .header__logo {
    order: 2;
  }

  .header__inner {
    order: 4;
  }

  .lang__select {
    order: 3;
  }

  .header__services {
    width: 100%;
    justify-content: space-between;
    margin-bottom: 24px;
  }

  .header__container {
    flex-wrap: wrap;
  }

  .header__btn {
    margin-top: 12px;
    margin-bottom: 0;
  }

  .header__blue_btn {
    margin-left: 7px;
  }

  .lang__select {
    margin-left: 0;
  }
}

@media screen and (max-width: 445px) {
  .header__logo {
    max-width: 82px;
    max-height: 82px;
  }
  .header__btn {
    max-width: 142px;
  }
}
